List Applications
/api/v1/app/{orgId}/list deprecated List Applications
First time here? - use our V2 applications API instead!
Lists applications that belong to this organization.
Returns a paginated list of Applications.
| Parameter | Default | Description |
|---|---|---|
| applications | [] | List of applications. |
| nextPageToken | "" | PageToken to provide for the next page of results. |
| totalCount | 0 | Total number of results. |
Application
Applications group scan results from HawkScan, and coordinate settings to influence HawkScan behavior. The application may also contain a specific environment name and id. For more information, see Applications.
| Parameter | Default | Description |
|---|---|---|
| applicationId | "" | The UUID identifier of this application. |
| name | "" | The name of this application. |
| env | "" | The name of this environment. Only set when requesting Application Environments. |
| envId | "" | The UUID identifier of this environment. |
| applicationStatus | "ACTIVE" | The status of this application. Either ACTIVE or ENV_INCOMPLETE. |
| organizationId | "" | The UUID identifier of the organization that owns this application. |
| applicationType | "STANDARD" | The type of this application. |
| cloudScanTarget | {} | Optional Cloud Scan Target configuration. |
The returned list of applications is filtered by the User's API Token Team membership.
Requires
read:applicationpermission.
Path parameters
orgIdstring · uuidrequiredUUID identifier for this StackHawk Organization.
Query parameters
appIdsstring[]A comma-delimited list of UUID identifiers of StackHawk Applications.
envsstring[]A comma-delimited list of environment names of StackHawk Applications to filter by.
teamIdsstring[]A comma-delimited list of UUID identifiers of StackHawk Teams to filter by.
ignoreEnvsbooleanIf enabled returns a shortened list of applications, omiting environment entries.
falsepageSizeinteger · int32Pagination response size limit.
10pageTokeninteger · int32Pagination request page increment.
0sortFieldstringResource field to sort paginated response by.
2 available options
nameidsortDirstringPaginated results are sorted 'asc' or 'desc'.
2 available options
ascdescResponse
Paginated response of applications.
List of applications.
PageToken to provide for the next page of results.
Total number of results.
List of applications.
PageToken to provide for the next page of results.
Total number of results.
Unauthorized